KILLALL5(8)

NOM
killall5 - Envoyer un signal à tous les processus

SYNOPSIS
killall5 -signalnumber [-o sans_pid[,sans_pid...]] [-o sans_pid[,sans_pid...]]

DESCRIPTION
killall5 correspond à la commande killall de Système V. Elle envoie un signal à tous les processus, sauf les threads du noyau et les processus de sa propre session (il ne tuera donc pas l'interpréteur de commande qui l'a lancé. Son rôle principal (unique) est pour les scripts rc situé dans le répertoire /etc/init.d.

OPTIONS

-o sans_pid
    Indique à killall5 d'ignorer le processus avec cet identifiant.

NOTES
killall5 peut aussi être appelé en tant que pidof, qui n'est qu'un lien symbolique vers le programme killall5.

CODE DE SORTIE
Le programme renvoie zéro s'il a tué les processus. Il renvoie 2 si aucun processus n'a été tué et 1 s'il n'a pas réussi à trouver des processus (/proc/ manque).

VOIR AUSSI
halt(8), reboot(8), pidof(8)

AUTEUR
Miquel van Smoorenburg, miquels@cistron.nl

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.